Index: /branches/new_class_id/src/lib/shell/shell_command.h
===================================================================
--- /branches/new_class_id/src/lib/shell/shell_command.h	(revision 9778)
+++ /branches/new_class_id/src/lib/shell/shell_command.h	(revision 9779)
@@ -56,5 +56,5 @@
    */
 #define SHELL_COMMAND_STATIC(command, class, function) \
-           OrxShell::ShellCommand* shell_command_##class##_##command = OrxShell::ShellCommand::registerCommand(#command, #class, createExecutor<class, BaseObject>(&class::function))
+           OrxShell::ShellCommand* shell_command_##class##_##command = OrxShell::ShellCommand::registerCommand(#command, #class, createExecutor<class, BaseObject>(function))
 
 
Index: /branches/new_class_id/src/lib/shell/some_shell_commands.cc
===================================================================
--- /branches/new_class_id/src/lib/shell/some_shell_commands.cc	(revision 9778)
+++ /branches/new_class_id/src/lib/shell/some_shell_commands.cc	(revision 9779)
@@ -55,7 +55,6 @@
 SHELL_COMMAND(debug, ResourceManager, debug);
 #include "loading/load_param_class_description.h"
-OrxShell::ShellCommand* shell_command_LPCD_printAll =
-  OrxShell::ShellCommand::registerCommand("printAll", "LoadParamClassDescription",
-					  new Executor2_static<LoadParamClassDescription, const SubString, const std::string&, bool>(&LoadParamClassDescription::printAll))
-//SHELL_COMMAND_STATIC(print, LoadParamClassDescription, printAll)
+SHELL_COMMAND_STATIC(printAll, LoadParamClassDescription, &LoadParamClassDescription::printAll)
 ->defaultValues(MT_NULL, true);
+SHELL_COMMAND_STATIC(capture, LoadParamClassDescription, &LoadParamClassDescription::captureDescriptions)
+    ->defaultValues(true);
Index: /branches/new_class_id/src/lib/util/executor/functor_list.h
===================================================================
--- /branches/new_class_id/src/lib/util/executor/functor_list.h	(revision 9778)
+++ /branches/new_class_id/src/lib/util/executor/functor_list.h	(revision 9779)
@@ -62,4 +62,5 @@
 
   //! mixed values:
+  FUNCTOR_LIST(2)(FUNCTOR_CALL_TYPE, const std::string&, bool);
   FUNCTOR_LIST(2)(FUNCTOR_CALL_TYPE, const std::string&, int);
   FUNCTOR_LIST(2)(FUNCTOR_CALL_TYPE, const std::string&, float);
Index: /branches/new_class_id/src/lib/util/loading/load_param.cc
===================================================================
--- /branches/new_class_id/src/lib/util/loading/load_param.cc	(revision 9778)
+++ /branches/new_class_id/src/lib/util/loading/load_param.cc	(revision 9779)
@@ -47,7 +47,8 @@
 {
   PRINTF(5)("Describing Class '%s'(id:%d) Parameter '%s': description '%s'\n",
-  classID.name().c_str(), classID.id(), paramName.c_str(), descriptionText.c_str());
+            classID.name().c_str(), classID.id(), paramName.c_str(), descriptionText.c_str());
 
-  LoadParamClassDescription::describeClass(classID, paramName, descriptionText);
+  if (LoadParamClassDescription::descriptionsCaptured())
+    LoadParamClassDescription::describeClass(classID, paramName, descriptionText);
 }
 
@@ -57,5 +58,5 @@
 void LoadParamBase::setDescriptionValues(const ClassID& classID, unsigned int paramCount, const MultiType* const defaultValues, bool retVal)
 {
-  if(LoadParamClassDescription::createsDescriptions())
+  if(LoadParamClassDescription::descriptionsCaptured())
     LoadParamClassDescription::setValuesOf(classID, paramName, paramCount, defaultValues, retVal);
 }
Index: /branches/new_class_id/src/lib/util/loading/load_param_class_description.cc
===================================================================
--- /branches/new_class_id/src/lib/util/loading/load_param_class_description.cc	(revision 9778)
+++ /branches/new_class_id/src/lib/util/loading/load_param_class_description.cc	(revision 9779)
@@ -27,5 +27,5 @@
  * @brief if the description of Parameters should be executed
  */
-bool LoadParamClassDescription::_createParametersDescription = false;
+bool LoadParamClassDescription::_captureDescriptions = false;
 
 /**
@@ -114,4 +114,17 @@
 }
 
+void LoadParamClassDescription::print(FILE* stream, bool withComments) const
+{
+  fprintf(stream, "<%s>\n", this->_className.c_str());
+  for (ParamDescriptionMap::const_iterator param = this->_parameters.begin();
+       param != this->_parameters.end();
+       ++param)
+  {
+    (*param).second.print(stream, withComments);
+  }
+  fprintf(stream, "</%s>\n\n", this->_className.c_str());
+}
+
+
 /**
  * @brief prints out all loadable Classes, and their parameters
@@ -147,12 +160,5 @@
        classIt ++)
   {
-    fprintf(stream, "<%s>\n", (*classIt).second._className.c_str());
-    for (ParamDescriptionMap::const_iterator param = (*classIt).second._parameters.begin();
-         param != (*classIt).second._parameters.end();
-         ++param)
-    {
-      (*param).second.print(stream, withComments);
-    }
-    fprintf(stream, "</%s>\n\n", (*classIt).second._className.c_str());
+    (*classIt).second.print(stream, withComments);
   }
   fprintf(stream, "===============================================================\n");
Index: /branches/new_class_id/src/lib/util/loading/load_param_class_description.h
===================================================================
--- /branches/new_class_id/src/lib/util/loading/load_param_class_description.h	(revision 9778)
+++ /branches/new_class_id/src/lib/util/loading/load_param_class_description.h	(revision 9779)
@@ -52,10 +52,11 @@
 
   /** @param createThem: if the Parameters should be created/stored. */
-  static void createDescriptions(bool createThem) { _createParametersDescription = createThem; };
+  static void captureDescriptions(bool createThem) { _captureDescriptions = createThem; };
   /** @returns if the Parameters are created/stored. */
-  static bool createsDescriptions() { return _createParametersDescription; };
+  static bool descriptionsCaptured() { return _captureDescriptions; };
 
   static void deleteAllDescriptions();
 
+  void print(FILE* stream = stdout, bool withComments = true) const;
   static void printAll(const std::string& fileName = "", bool withComments = true);
   static void printAllTo(FILE* stream = stdout, bool withComments = true);
@@ -72,5 +73,5 @@
 private:
 
-  static bool                                  _createParametersDescription;  //!< if parameter-description should be enabled globally.
+  static bool                                  _captureDescriptions;    //!< if parameter-description should be enabled globally.
 
   static ClassDescriptionMap                   _classList;              //!< a list, that stores all the loadable classes. (after one instance has been loaded)
